Uygulamayı aç
Moonborn — API · marketplace

Fetch a listing detail (description + moderation flags for owners)

GET/v1/marketplace/listings/{id}scope · Bearer (API key or session JWT)
Path parameters
FieldTypeDescription
idreqstringListing id (e.g. `lst_*`).

Responses

200OK
Body
FieldTypeDescription
listingIdreqstring
slugreqstring
orgIdreqstring
personaIdreqstring
titlereqstring
summaryreqstring
licensereqstring · "cc_by" | "cc_by_sa" | "cc_by_nc" | "cc_by_nd" | "commercial" | "proprietary"
priceUsdMicrosreqnumber
statusreqstring · "draft" | "in_review" | "published" | "unpublished" | "removed"
ratingsAvgreqnumber
ratingsCountreqnumber
installsreqnumber
forksreqnumber
tagsreqstring[]
publishedAtreqstring
updatedAtreqstring
descriptionreqstring
moderationFlagsstring[]
401Unauthenticated
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring
404Listing not found / not visible
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring

Examples

cURL
curl -X GET https://api.moonborn.co/v1/marketplace/listings/<id> \
  -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';

const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });

const result = await client.marketplace.getListing({
  id: '<id>',
});
Python
import os
from moonborn import Moonborn

client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])

result = client.marketplace.get_listing(
    id="<id>",
)